#| -*-Scheme-*-

Copyright (C) 1986, 1987, 1988, 1989, 1990, 1991, 1992, 1993, 1994,
    1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005,
    2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015, 2016,
    2017, 2018, 2019, 2020 Massachusetts Institute of Technology

This file is part of MIT/GNU Scheme.

MIT/GNU Scheme is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or (at
your option) any later version.

MIT/GNU Scheme is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with MIT/GNU Scheme; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301,
USA.

|#

;;;; UCD property: GCB (grapheme-cluster-break)

;;; Generated from Unicode 9.0.0

(declare (usual-integrations))

(define (ucd-gcb-value char)
  (let ((sv (char->integer char)))
    (vector-ref |ucd-GCB-table-5| (bytevector-u8-ref |ucd-GCB-table-4| (fix:or (fix:lsh (bytevector-u8-ref |ucd-GCB-table-3| (fix:or (fix:lsh (bytevector-u8-ref |ucd-GCB-table-2| (fix:or (fix:lsh (bytevector-u8-ref |ucd-GCB-table-1| (fix:or (fix:lsh (bytevector-u8-ref |ucd-GCB-table-0| (fix:lsh sv -16)) 4) (fix:and 15 (fix:lsh sv -12)))) 4) (fix:and 15 (fix:lsh sv -8)))) 4) (fix:and 15 (fix:lsh sv -4)))) 4) (fix:and 15 sv))))))

(define |ucd-GCB-table-0|
  '#u8(0 1 2 2 2 2 2 2 2 2 2 2 2 2 3 2 2))

(define |ucd-GCB-table-1|
  '#u8(0 1 2 3 4 4 4 4 4 4 5 6 7 8 4 9 10 11 4 4 4 4 12 4 4 4 4 13 4 14 15 16 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 17 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4))

(define |ucd-GCB-table-2|
  '#u8(0 1 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 1 17 1 1 1 18 19 20 21 22 23 24 1 1 25 1 1 1 1 1 26 27 1 1 1 1 28 29 1 1 30 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 31 1 32 33 34 35 36 37 38 39 40 41 42 36 37 38 39 40 41 42 36 37 38 39 40 41 42 36 37 38 39 40 41 42 36 37 38 39 40 41 42 36 37 38 39 40 41 42 36 43 44 44 44 44 44 44 44 44 1 1 1 1 1 1 1 1 1 1 1 45 1 1 46 47 1 48 49 50 1 1 1 1 1 1 51 1 1 1 1 1 52 53 54 55 56 57 58 59 1 1 1 1 60 1 1 1 1 1 1 1 1 1 1 1 1 1 61 62 1 1 1 63 1 1 1 1 1 1 1 1 1 1 1 1 64 1 1 1 1 65 66 1 1 1 1 1 1 1 67 1 1 1 1 1 68 1 1 1 1 1 1 1 69 70 1 1 1 1 1 1 1 71 1 72 73 74 75 1 1 76 1 1 1 1 1 1 77 78 44 44 44 44 44 44 44 44 44 44 44 44 44 44))

(define |ucd-GCB-table-3|
  '#u8(0 1 2 2 2 2 2 3 1 1 4 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 5 5 5 5 5 5 5 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 6 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 7 5 8 9 2 2 2 10 11 2 2 12 5 2 13 2 2 2 2 2 14 15 2 16 17 2 5 18 2 2 2 2 2 19 13 2 2 12 20 2 21 22 2 2 23 2 2 2 2 2 2 2 24 25 5 26 2 2 27 28 29 30 2 31 2 2 32 33 34 30 2 35 2 2 36 37 17 2 38 35 2 2 36 39 2 30 2 31 2 2 40 33 41 30 2 42 2 2 43 44 34 2 2 45 2 2 46 47 48 30 2 31 2 2 49 50 48 30 2 31 2 2 43 51 34 30 2 52 2 2 2 53 54 2 52 2 2 2 55 56 2 2 2 2 2 2 57 58 2 2 2 2 59 2 60 2 2 2 61 62 63 5 64 65 2 2 2 2 2 66 67 2 68 13 69 70 71 2 2 2 2 2 2 72 72 72 72 72 72 73 73 73 73 74 75 75 75 75 75 2 2 2 2 2 66 2 2 2 2 2 2 2 2 2 2 2 76 2 76 2 30 2 30 2 2 2 77 78 79 2 2 80 2 2 2 2 2 2 2 48 2 81 2 2 2 2 2 2 2 82 83 2 2 2 2 2 2 2 2 2 2 2 2 2 84 2 2 2 85 86 87 2 2 2 88 2 2 2 2 89 2 2 90 91 2 12 20 92 2 93 2 2 2 94 95 2 2 96 97 2 2 2 2 2 2 2 2 2 98 99 100 2 2 2 2 2 2 2 2 2 2 2 2 5 5 5 101 102 2 103 2 2 2 1 2 2 2 2 2 2 5 5 13 2 104 2 2 2 2 2 2 2 2 2 2 2 2 2 105 106 2 2 2 2 2 107 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 108 109 2 2 2 2 2 2 2 108 2 2 2 2 2 2 5 5 2 2 110 2 2 2 2 2 2 111 2 2 2 2 2 2 2 2 2 2 2 2 108 112 2 46 2 2 2 2 2 109 113 2 114 2 2 2 2 2 115 2 2 116 117 2 5 109 2 2 118 2 119 95 72 120 26 2 2 121 122 2 123 2 2 2 124 125 126 2 2 127 2 2 2 128 17 2 129 130 2 2 2 2 2 2 2 2 2 2 2 2 2 2 131 2 132 133 134 135 134 136 134 132 133 134 135 134 136 134 132 133 134 135 134 136 134 132 133 134 135 134 136 134 132 133 134 135 134 136 134 132 133 134 135 134 136 134 132 133 134 135 134 136 134 132 133 134 135 134 136 134 132 133 134 135 134 136 134 132 133 134 135 134 136 134 132 133 134 135 134 136 134 132 133 134 135 134 136 134 132 133 134 135 134 136 134 132 133 134 135 134 136 134 132 133 134 135 134 136 134 132 133 134 135 134 136 134 134 135 134 136 134 132 133 134 135 134 137 73 138 75 75 139 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 1 2 140 2 2 2 2 2 2 2 2 2 2 2 2 2 2 5 2 5 2 2 2 2 2 2 2 2 2 2 2 2 3 2 2 2 2 2 2 2 2 2 46 2 2 2 2 2 141 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 71 2 2 2 2 2 2 2 2 2 2 2 2 2 2 13 2 2 2 2 2 2 2 2 142 2 2 2 2 2 2 2 2 143 2 2 144 2 2 2 2 2 2 2 2 2 2 48 2 145 2 2 146 147 2 2 108 92 2 2 148 2 2 2 2 149 2 150 151 2 2 2 152 92 2 2 153 154 2 2 2 2 2 155 156 2 2 2 2 2 2 2 2 2 108 157 2 95 2 2 32 158 34 159 151 2 2 2 2 2 2 2 2 2 2 2 160 161 2 2 2 2 2 2 162 163 2 2 2 2 2 2 2 2 2 2 2 2 2 108 164 13 165 2 2 2 2 2 166 13 2 2 2 2 2 167 168 2 2 2 2 2 66 169 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 170 171 2 2 2 2 2 172 173 174 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 151 2 2 2 147 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 175 176 177 108 149 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 178 179 2 2 2 2 2 2 2 2 2 2 2 180 181 182 2 183 2 2 2 2 2 2 2 2 2 76 2 2 2 2 2 2 2 2 2 2 2 5 5 5 184 5 5 64 123 185 12 7 2 2 2 2 2 186 187 188 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 147 2 2 2 2 2 2 189 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 2 190 191 2 2 2 2 2 2 2 2 192 2 2 2 193 2 2 194 2 2 2 2 195 196 197 198 199 2 200 2 2 2 2 2 2 2 2 2 2 2 2 201 2 202 2 2 2 2 203 2 2 2 2 2 204 2 2 2 2 2 205 206 196 2 2 2 2 207 208 209 2 2 2 2 2 2 2 2 2 2 2 2 1 1 5 5 5 5 5 5 1 1 1 1 1 1 1 1 5 5 5 5 5 5 5 5 5 5 5 5 5 5 5 1))

(define |ucd-GCB-table-4|
  '#u8(0 0 0 0 0 0 0 0 0 0 1 0 0 2 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 0 3 3 3 3 3 3 3 3 3 3 3 3 3 0 3 3 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 3 3 3 4 4 4 4 4 4 4 3 3 3 3 3 3 3 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 3 4 3 4 4 3 4 4 3 4 3 3 3 3 3 3 3 3 5 5 5 5 5 5 3 3 3 3 3 3 3 3 3 3 4 4 4 4 4 4 4 4 4 4 4 3 0 3 3 3 3 3 3 3 3 3 3 3 3 3 3 4 4 4 4 4 4 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 4 4 4 4 4 4 4 5 3 4 4 4 4 4 4 3 3 4 4 3 4 4 4 4 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 5 3 4 3 3 3 3 3 3 3 3 3 3 3 3 3 3 4 4 4 4 4 4 4 4 4 4 4 3 3 3 3 3 3 3 3 3 3 3 4 4 4 4 4 4 4 4 4 4 4 4 4 4 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 4 4 4 4 3 4 4 4 4 4 4 4 4 4 3 4 4 4 3 4 4 4 4 4 3 3 3 3 3 3 3 3 3 3 3 4 4 4 3 3 3 3 3 3 3 3 4 4 4 4 4 4 4 4 4 4 4 4 4 4 5 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 6 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 4 6 4 3 6 6 6 4 4 4 4 4 4 4 4 6 6 6 6 4 6 6 3 4 4 4 4 4 4 4 3 3 3 3 3 3 3 3 3 3 4 4 3 3 3 3 3 3 3 3 3 3 3 3 3 4 6 6 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 4 3 4 6 6 4 4 4 4 3 3 6 6 3 3 6 6 4 3 3 3 3 3 3 3 3 3 4 3 3 3 3 3 3 3 3 3 4 4 6 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 4 3 6 6 6 4 4 3 3 3 3 4 4 3 3 4 4 4 3 3 4 4 3 3 3 4 3 3 3 3 3 3 3 3 3 3 6 4 4 4 4 4 3 4 4 6 3 6 6 4 3 3 3 3 3 3 3 3 3 3 3 3 3 3 4 3 4 4 3 3 3 3 3 3 4 4 3 3 3 3 3 3 3 3 3 3 4 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 4 6 4 6 6 3 3 3 6 6 6 3 6 6 6 4 3 3 4 6 6 6 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 4 4 4 6 6 6 6 3 4 4 4 3 4 4 4 4 3 3 3 3 3 3 3 4 4 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 4 3 6 4 6 6 4 6 6 3 4 6 6 3 6 6 4 4 3 3 6 4 4 4 4 3 6 6 6 3 6 6 6 4 5 3 3 3 6 6 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 4 3 3 3 3 4 6 6 4 4 4 3 4 3 6 6 6 6 6 6 6 4 3 4 3 6 4 4 4 4 4 4 4 3 3 3 3 3 3 3 3 3 3 3 3 4 4 4 4 4 4 4 4 3 3 4 3 6 4 4 4 4 4 4 3 4 4 3 3 3 3 3 3 3 3 3 3 3 4 4 4 4 4 4 3 3 3 3 3 3 3 3 3 3 4 4 3 3 3 3 3 3 3 3 3 3 3 4 3 4 3 4 3 3 3 3 6 6 3 4 4 4 4 4 4 4 4 4 4 4 4 4 4 6 4 4 4 4 4 3 4 4 3 3 3 3 3 4 4 4 4 4 4 4 4 4 4 4 3 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 3 3 3 3 3 3 3 3 3 4 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 4 4 4 4 6 4 4 4 4 4 4 3 4 4 6 6 4 4 3 3 3 3 3 3 3 6 6 4 4 3 3 3 3 4 4 3 4 4 4 4 3 3 3 3 3 3 3 3 3 3 3 3 3 4 3 6 4 4 3 3 3 3 3 3 4 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 4 3 3 7 7 7 7 7 7 7 7 7 7 7 7 7 7 7 7 8 8 8 8 8 8 8 8 8 8 8 8 8 8 8 8 8 8 8 8 8 8 8 8 9 9 9 9 9 9 9 9 9 9 9 9 9 9 9 9 9 9 9 9 9 9 9 9 3 3 4 4 4 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 4 4 6 4 4 4 4 4 4 4 6 6 6 6 6 6 6 6 4 6 6 4 4 4 4 4 4 4 4 4 4 4 3 3 3 3 3 3 3 3 3 4 3 3 3 3 3 3 3 3 3 3 3 3 3 4 4 4 0 3 3 3 3 3 3 3 3 3 3 4 3 3 3 3 3 3 4 4 4 6 6 6 6 4 4 6 6 6 3 3 3 3 6 6 4 6 6 6 6 6 6 4 4 4 3 3 3 3 3 3 3 3 3 3 3 4 4 6 6 4 3 3 3 3 3 3 3 3 3 6 4 6 4 4 4 4 4 4 4 3 4 3 4 3 3 4 4 4 4 4 4 4 4 6 6 6 6 6 6 4 4 4 4 4 4 4 4 4 4 3 3 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 3 4 4 4 4 6 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 4 6 4 4 4 4 4 6 4 6 6 6 6 6 4 6 6 3 3 3 3 3 3 3 3 3 3 3 4 4 6 3 3 3 3 3 3 3 3 3 3 3 3 3 3 6 4 4 4 4 6 6 4 4 6 4 4 4 3 3 3 3 3 3 3 3 4 6 4 4 6 6 6 4 6 4 4 4 6 6 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 6 6 6 6 6 6 6 6 4 4 4 4 4 4 4 4 6 6 4 4 3 3 3 3 3 3 3 3 4 4 4 3 4 4 4 4 4 4 4 4 4 4 4 4 4 6 4 4 4 4 4 4 4 3 3 3 3 4 3 3 3 3 6 6 4 3 3 3 4 4 3 3 3 3 3 3 4 4 4 4 4 4 3 3 3 3 3 4 4 4 4 4 3 3 3 3 3 3 3 3 3 3 3 0 4 10 0 0 3 3 3 3 3 3 3 3 0 0 0 0 0 0 0 3 3 3 3 3 3 3 3 3 3 3 3 3 3 11 3 3 3 3 3 3 3 3 3 3 3 11 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 11 11 11 11 3 3 3 3 3 3 12 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 4 4 4 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 4 4 4 4 4 4 3 3 3 3 3 3 3 3 3 4 4 3 3 3 3 3 4 4 4 3 4 4 4 4 4 4 4 4 4 4 3 3 3 3 4 3 3 3 4 3 3 3 3 4 3 3 3 3 3 3 3 6 6 4 4 6 3 3 3 3 3 3 3 3 6 6 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 6 6 6 6 6 6 6 6 6 6 6 6 6 6 6 6 4 4 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 4 4 4 4 4 4 4 4 3 3 3 3 3 3 3 3 3 4 4 4 4 4 4 4 4 4 7 7 7 7 7 7 7 7 7 7 7 7 7 3 3 3 3 3 3 4 6 6 4 4 4 4 6 6 4 6 6 6 6 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 4 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 4 4 4 4 4 4 6 6 4 4 6 6 4 4 3 3 3 3 3 3 3 3 3 3 3 3 4 3 3 3 3 3 3 3 3 4 6 3 3 3 3 3 3 3 3 3 3 3 3 3 3 4 3 3 3 4 3 4 4 4 3 3 4 4 3 3 3 3 3 4 4 3 3 3 3 3 3 3 3 3 3 3 6 4 4 6 6 3 3 3 3 3 6 4 3 3 3 3 3 3 3 3 3 3 3 3 6 6 4 6 6 4 6 6 3 6 4 3 3 13 14 14 14 14 14 14 14 14 14 14 14 14 14 14 14 14 14 14 14 14 14 14 14 14 14 14 14 13 14 14 14 14 14 14 14 14 14 14 14 14 14 14 14 14 14 14 14 14 14 14 14 14 14 14 14 13 14 14 14 14 14 14 14 14 14 14 14 13 14 14 14 14 14 14 14 14 14 14 14 14 14 14 14 3 3 3 3 3 3 3 3 3 3 3 3 8 8 8 8 8 8 8 3 3 3 3 9 9 9 9 9 9 9 9 9 9 9 9 9 9 9 9 9 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 4 3 0 0 0 0 0 0 0 0 0 0 0 0 3 3 3 3 3 3 3 3 3 3 4 4 4 4 4 3 3 3 3 3 3 4 4 4 3 4 4 3 3 3 3 3 4 4 4 4 3 3 3 3 3 3 3 3 4 4 4 3 3 3 3 4 6 4 6 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 3 3 3 3 3 3 3 3 3 6 6 6 4 4 4 4 6 6 4 4 3 3 5 3 3 4 4 4 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 4 4 4 4 4 6 4 4 4 4 4 4 4 4 3 3 3 3 3 3 3 3 3 3 3 3 3 3 4 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 6 6 6 4 4 4 4 4 4 4 4 4 6 6 3 5 5 3 3 3 3 3 3 4 4 4 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 6 6 6 4 4 4 6 6 4 6 4 4 3 3 3 3 3 3 4 3 6 6 6 4 4 4 4 4 4 4 4 3 3 3 3 3 4 6 6 6 6 3 3 6 6 3 3 6 6 6 3 3 3 3 6 6 3 3 4 4 4 4 4 4 4 3 3 3 3 3 3 3 3 6 6 6 4 4 4 4 4 4 4 4 6 6 4 4 4 6 4 3 3 3 3 3 3 3 3 3 4 6 6 4 4 4 4 4 4 6 4 6 6 4 6 4 4 6 4 4 3 3 3 3 3 3 3 3 3 3 3 3 6 6 4 4 4 4 3 3 6 6 6 6 4 4 6 4 3 3 3 3 3 3 3 3 3 3 3 3 4 4 3 3 6 6 6 4 4 4 4 4 4 4 4 6 6 4 6 4 3 3 3 3 3 3 3 3 3 3 3 4 6 4 6 6 4 4 4 4 4 4 6 4 3 3 3 3 3 3 3 3 6 6 4 4 4 4 6 4 4 4 4 4 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 6 4 4 4 4 4 4 4 3 4 4 4 4 4 4 6 4 3 3 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 3 6 4 4 4 4 4 4 4 6 4 4 6 4 4 3 3 3 3 3 3 3 3 3 3 6 6 6 6 6 6 6 6 6 6 6 6 6 6 6 6 6 6 6 6 6 6 6 6 6 6 6 6 6 6 6 6 6 6 6 6 6 6 6 6 6 6 6 6 6 6 3 3 3 3 3 3 3 3 3 3 3 3 3 3 4 4 3 0 0 0 0 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 4 6 4 4 4 3 3 3 6 4 4 4 4 4 0 0 0 0 0 0 0 0 4 4 4 4 4 4 4 4 3 3 4 4 4 4 4 4 4 3 3 3 3 3 3 3 3 3 3 3 3 3 3 4 4 4 4 3 3 4 4 4 4 4 4 4 3 3 3 3 4 4 4 4 4 3 3 3 3 4 3 3 3 3 3 3 3 3 3 3 3 4 4 4 4 4 4 4 3 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 4 3 3 4 4 4 4 4 4 4 3 4 4 3 4 4 4 4 4 3 3 3 3 3 3 3 3 3 4 4 4 4 4 4 4 3 3 3 3 3 3 3 3 3 3 3 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 15 3 3 3 3 3 11 3 3 3 3 3 3 3 3 3 3 3 3 3 11 11 3 3 3 3 3 11 11 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 16 16 16 16 16 3 3 11 11 3 3 11 11 11 11 11 11 11 11 11 11 11 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 17 17 17 17 3 3 3 3 11 3 11 11 11 11 11 11 11 11 11 3 3 3 11 3 3 3 3 11 11 11 3 11 11 11 3 3 3 12 3 3 3 3 3 3 3 3 3 3 3 3 3 3 11 3 3 3 3 3 3 3 3 3 3 11 3 3 3 3 11 3 3 3 3 3 11 3 3 3 3 11 11 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 12 3 3 3 3 3 3 3 3 3 3 3 3 11 11 11 3 3 3 11 11 11 11 11 3 3 3 11 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 11 11 11 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 3 11 11 11 11 11 11 11 3 3 3 3 3 3 3 11 3 3 3 3 3 3 3 3 3 11 3 3 11 11 11 11 11 11 11 3 3 11 11 11 3))

(define |ucd-GCB-table-5|
  '#(0 8 1 16 5 11 13 7 15 14 17 2 6 9 10 12 4 3))
